# horizonevent

set up meetings with a Jitsi link and phone dial-in and a Riseup pad for notes,
fairly quickly.

https://horizonevent.doesthisthing.work

## development

```
git clone https://git.autonomic.zone/3wordchant/horizonevent.git
cd horizonevent
yarn start
```

then when you're ready to deploy, run `yarn build` and copy the `build/`
directory to a webserver somewhere.

## todo

 - small-screen responsiveness
 - add options for:
	 - disabling Riseup pad link
	 - which countr(ies'/y's) phone number(s) to show
	 - Jitsi server URL
 - "copy to clipboard" button
 - Zoom tidier - strip redundant numbers and clarify formatting of the
		 gruesome invite text
 - slugify entered meeting name to get URLs
 - room name security checks
 - continuous deployment
 - query string / JS history API for bookmarkable URLs
 - transitions

## credits

 - [Evergreen UI framework](https://evergreen.segment.com/)
 - photo by [Szoka Sebastian via
		 Pexels](https://www.pexels.com/photo/close-up-photo-of-gray-metal-pipes-1381938/)
 - [ReactJS](https://reactjs.org/)
